#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../COMMON/GUESS\;1 UPPER`
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir xcol
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$MACHINE/BIN/ZCAT\;1 $BUILDDIR/zcat


cd $BUILDDIR/xcol
mkdir xcol
cd xcol
zcat $SOURCEDIR/XCOL/PART01.Z\;1 | unshar
zcat $SOURCEDIR/XCOL/PART02.Z\;1 | unshar

test -f $SOURCEDIR/XCOL/$MACHINE/XCOL\;1 &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/XCOL/$MACHINE/XCOL\;1 | patch -b .rtr -p -s )
xmkmf
make -f Makefile
if test "$RM" != "" ; then cp xcol $INSTALLDIR/bin ; fi
if test "$RM" != "" ; then cp xcol.man $INSTALLSHAREDIR/man/mann/xcol.n ; fi

cd $BUILDDIR/xcol

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/xcol ; fi
